<?php
    /*
    * Module GMapFP for Component Google Map for Joomla! 3.x
    * Version J3.12Pro
    * Creation date: Juin 2017
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

// no direct access
defined('_JEXEC') or die; 

//Insertion des enttes GMapFP si non dj fait.
require_once JPATH_SITE.'/components/com_gmapfp/helpers/define.php';
Define_ModelGMapFP::define_gmapfp(0, array('CSS', 'LIGHTBOX'));

$itemId = "";
if ($params->get('set_itemid')) $itemId = "&Itemid=".$params->get('set_itemid');

?>
<div class="gmapfp<?php echo $moduleclass_sfx; ?>">
	<?php foreach($gmapfps as $gmapfp) {?>
		<div class="gmapfp_module_container">
			<a  class='modal gmapfp_link_module' rel="{handler:'iframe', size: {x: gmapfp_largeur_lightbox, y: gmapfp_hauteur_lightbox}, classWindow: 'gmapfp_modal_windows', classOverlay: 'gmapfp_modal_windows_overlay'}" href="<?php echo JRoute::_(GMapFPHelperRoute::getArticleRoute($gmapfp->slug).$itemId.'&tmpl=component', false); ?>"  title="<?php echo JText::_('gmapfp_more_infos') ?>">
				<?php
					echo '<label>'.$gmapfp->nom.'</label>';
				?>
			</a>
			<div style="float:left;">
				<a  class='modal gmapfp_link_module' rel="{handler:'iframe', size: {x: gmapfp_largeur_lightbox, y: gmapfp_hauteur_lightbox}, classWindow: 'gmapfp_modal_windows', classOverlay: 'gmapfp_modal_windows_overlay'}" href="<?php echo JRoute::_(GMapFPHelperRoute::getArticleRoute($gmapfp->slug).$itemId.'&tmpl=component', false); ?>"  title="<?php echo JText::_('gmapfp_more_infos') ?>">
					<?php
						if ($gmapfp->img!=null) 
							if ($params->get('Pro', 0)) {
								echo '<img style="padding-right: 10px; float:left; height:'.$params->get('gmapfp_height_picture' ,'40').'px;" src="'.JURI::base().'images/gmapfp/thumbsGMap/'.$gmapfp->img.'" />';
							} else {
								echo '<img style="padding-right: 10px; float:left; height:'.$params->get('gmapfp_height_picture' ,'40').'px;" src="'.JURI::base().'images/gmapfp/'.$gmapfp->img.'" />';
							};
					?>
				</a>
			</div>
			<?php
				if ($params->get('introtext', 1))
					if ($params->get('cesure', 100)) {
						$text = wordwrap(strip_tags($gmapfp->introtext), $params->get('cesure', 100), '|||');
						$text = explode('|||', $text);
						if (isset($text[1])) $text[0] .= ' ...';
						echo '<p>'.$text[0].'</p>'; 
					} else {
						echo '<p>'.$gmapfp->introtext.'</p>'; 
					}
			?>
		</div>
		<div class="gmapfp_separator" style="clear: both;"></div>
	<?php } ?>
</div>
