<?php
    /*
    * Module GMapFP for Component Google Map for Joomla! 3.x
    * Version J3.8Pro
    * Creation date: Juillet 2014
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

defined('_JEXEC') or die();

class JFormFieldGMapFPCategories extends JFormField
{

	public	$_name = 'GMapFPCategories';

	protected function getInput()
	{
		$listchamps = array();
		$db				= JFactory::getDBO();

		$list_champs = array();

		//ajoute les champs perso
		$query = " SELECT id, title FROM #__categories ".
				"  WHERE published = 1 AND extension= 'com_gmapfp'".
				" ORDER BY title";
		$db->setQuery( $query );
		$listchamps = $db->loadObjectList();

		if (!empty($listchamps))
		{
			foreach($listchamps as $temp) {
				$list_champs[] = JHTML::_('select.option', $temp->id, $temp->title);
			}			
		}

		if (is_array($this->value)) 
			$value = $this->value;
		else
			$value = explode(',', $this->value);
		
		return JHTML::_('select.genericlist',   $list_champs, $this->name.'[]', 'id="'.$this->id.'" class="inputbox" size="8" multiple="multiple"', 'value', 'text', $value, '' );
	}
}
?>